Bug 89245 - RFE: Increase CONFIG_SD_EXTRA_DEVS
RFE: Increase CONFIG_SD_EXTRA_DEVS
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-21 17:01 EDT by Bob Plankers
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bob Plankers 2003-04-21 17:01:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705; .NET CLR 1.1.4322)

Description of problem:
With the advent of fibre channel storage and such it would be cool if you could 
change the value of CONFIG_SD_EXTRA_DEVS in the default kernels, so that people 
with larger storage setups will work "out of the box" (one of the great things 
about RHL, actually). Without this, users are limited to only 40 SCSI devices 
on the machine, and require custom built kernels to get things working.

Set CONFIG_SD_EXTRA_DEVS=128 (the default is 40)

This is true in RHL 7.x and 8.0.

All the other settings necessary for proper fibre channel support (the setting 
of CONFIG_SCSI_MULTI_LUN=y) can be done as a runtime/modules.conf option.

Thank you!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attach 45 SCSI devices (LUNs on a fibre channel disk array, etc.).
2.Reboot -- only the first 40 get sd names (/dev/sdXX).
3.Change it in the kernel, reboot, it works. :-)
    

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.